# $Progeny$

all: discover-xml

###############################################################################
# Build

discover_xml_SOURCES=	discover-xml.c
discover_xml_OBJS=		discover-xml.lo
discover_xml_LIBS=		${libportability} ${LIBS}

discover-xml: ${discover_xml_OBJS} ${top_builddir}/lib/libdiscover.la \
		${libportability}
	${LTLINK} -o $@ ${discover_xml_OBJS} ${discover_xml_LIBS}		\
		${top_builddir}/lib/libdiscover.la ${libportability}

###############################################################################
# Clean

clean_FILES=		discover-xml ${discover_xml_OBJS}
distclean_FILES=	Makefile

clean:
	${LTCLEAN} ${clean_FILES}

distclean:
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

maintainer-clean:
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

###############################################################################
# Installation

install: discover-xml
	${INSTALL_DIR} ${DESTDIR}${bindir}
	${INSTALL_PROGRAM} discover-xml ${DESTDIR}${bindir}/discover-xml

uninstall:
	rm -f ${DESTDIR}${bindir}/discover-xml

###############################################################################
# Distribution

DISTFILES=		Makefile.in ${discover_xml_SOURCES}

distdir: ${DISTFILES}
	${top_srcdir}/buildtools/distdir ${distdir}/${_THISDIR_} ${DISTFILES}
